<?php



$tdatatb_centros_clinicos = array();
$tdatatb_centros_clinicos[".searchableFields"] = array();
$tdatatb_centros_clinicos[".ShortName"] = "tb_centros_clinicos";
$tdatatb_centros_clinicos[".OwnerID"] = "";
$tdatatb_centros_clinicos[".OriginalTable"] = "tb_centros_clinicos";


$tdatatb_centros_clinicos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_centros_clinicos[".originalPagesByType"] = $tdatatb_centros_clinicos[".pagesByType"];
$tdatatb_centros_clinicos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_centros_clinicos[".originalPages"] = $tdatatb_centros_clinicos[".pages"];
$tdatatb_centros_clinicos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_centros_clinicos[".originalDefaultPages"] = $tdatatb_centros_clinicos[".defaultPages"];

//	field labels
$fieldLabelstb_centros_clinicos = array();
$fieldToolTipstb_centros_clinicos = array();
$pageTitlestb_centros_clinicos = array();
$placeHolderstb_centros_clinicos = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_centros_clinicos["English"] = array();
	$fieldToolTipstb_centros_clinicos["English"] = array();
	$placeHolderstb_centros_clinicos["English"] = array();
	$pageTitlestb_centros_clinicos["English"] = array();
	$fieldLabelstb_centros_clinicos["English"]["cclinicoID"] = "ID";
	$fieldToolTipstb_centros_clinicos["English"]["cclinicoID"] = "";
	$placeHolderstb_centros_clinicos["English"]["cclinicoID"] = "";
	$fieldLabelstb_centros_clinicos["English"]["tipo"] = "Tipo";
	$fieldToolTipstb_centros_clinicos["English"]["tipo"] = "";
	$placeHolderstb_centros_clinicos["English"]["tipo"] = "";
	$fieldLabelstb_centros_clinicos["English"]["nome"] = "Nome";
	$fieldToolTipstb_centros_clinicos["English"]["nome"] = "";
	$placeHolderstb_centros_clinicos["English"]["nome"] = "";
	$fieldLabelstb_centros_clinicos["English"]["endereco"] = "Endereço ";
	$fieldToolTipstb_centros_clinicos["English"]["endereco"] = "";
	$placeHolderstb_centros_clinicos["English"]["endereco"] = "";
	$fieldLabelstb_centros_clinicos["English"]["bairro"] = "Bairro";
	$fieldToolTipstb_centros_clinicos["English"]["bairro"] = "";
	$placeHolderstb_centros_clinicos["English"]["bairro"] = "";
	$fieldLabelstb_centros_clinicos["English"]["cidade"] = "Cidade";
	$fieldToolTipstb_centros_clinicos["English"]["cidade"] = "";
	$placeHolderstb_centros_clinicos["English"]["cidade"] = "";
	$fieldLabelstb_centros_clinicos["English"]["observacoes"] = "Observações ";
	$fieldToolTipstb_centros_clinicos["English"]["observacoes"] = "";
	$placeHolderstb_centros_clinicos["English"]["observacoes"] = "";
	$pageTitlestb_centros_clinicos["English"]["add"] = "Centros Clinicos, Add new";
	if (count($fieldToolTipstb_centros_clinicos["English"]))
		$tdatatb_centros_clinicos[".isUseToolTips"] = true;
}


	$tdatatb_centros_clinicos[".NCSearch"] = true;



$tdatatb_centros_clinicos[".shortTableName"] = "tb_centros_clinicos";
$tdatatb_centros_clinicos[".nSecOptions"] = 0;

$tdatatb_centros_clinicos[".mainTableOwnerID"] = "";
$tdatatb_centros_clinicos[".entityType"] = 0;

$tdatatb_centros_clinicos[".strOriginalTableName"] = "tb_centros_clinicos";

	



$tdatatb_centros_clinicos[".showAddInPopup"] = false;

$tdatatb_centros_clinicos[".showEditInPopup"] = false;

$tdatatb_centros_clinicos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_centros_clinicos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_centros_clinicos[".listAjax"] = false;
//	temporary
$tdatatb_centros_clinicos[".listAjax"] = false;

	$tdatatb_centros_clinicos[".audit"] = false;

	$tdatatb_centros_clinicos[".locking"] = false;


$pages = $tdatatb_centros_clinicos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_centros_clinicos[".edit"] = true;
	$tdatatb_centros_clinicos[".afterEditAction"] = 0;
	$tdatatb_centros_clinicos[".closePopupAfterEdit"] = 1;
	$tdatatb_centros_clinicos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_centros_clinicos[".add"] = true;
$tdatatb_centros_clinicos[".afterAddAction"] = 0;
$tdatatb_centros_clinicos[".closePopupAfterAdd"] = 1;
$tdatatb_centros_clinicos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_centros_clinicos[".list"] = true;
}



$tdatatb_centros_clinicos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_centros_clinicos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_centros_clinicos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_centros_clinicos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_centros_clinicos[".printFriendly"] = true;
}



$tdatatb_centros_clinicos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_centros_clinicos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_centros_clinicos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_centros_clinicos[".isUseAjaxSuggest"] = true;

$tdatatb_centros_clinicos[".rowHighlite"] = true;





$tdatatb_centros_clinicos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_centros_clinicos[".buttonsAdded"] = false;

$tdatatb_centros_clinicos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_centros_clinicos[".isUseTimeForSearch"] = false;


$tdatatb_centros_clinicos[".badgeColor"] = "4682B4";


$tdatatb_centros_clinicos[".allSearchFields"] = array();
$tdatatb_centros_clinicos[".filterFields"] = array();
$tdatatb_centros_clinicos[".requiredSearchFields"] = array();

$tdatatb_centros_clinicos[".googleLikeFields"] = array();
$tdatatb_centros_clinicos[".googleLikeFields"][] = "cclinicoID";
$tdatatb_centros_clinicos[".googleLikeFields"][] = "tipo";
$tdatatb_centros_clinicos[".googleLikeFields"][] = "nome";
$tdatatb_centros_clinicos[".googleLikeFields"][] = "endereco";
$tdatatb_centros_clinicos[".googleLikeFields"][] = "bairro";
$tdatatb_centros_clinicos[".googleLikeFields"][] = "cidade";
$tdatatb_centros_clinicos[".googleLikeFields"][] = "observacoes";



$tdatatb_centros_clinicos[".tableType"] = "list";

$tdatatb_centros_clinicos[".printerPageOrientation"] = 0;
$tdatatb_centros_clinicos[".nPrinterPageScale"] = 100;

$tdatatb_centros_clinicos[".nPrinterSplitRecords"] = 40;

$tdatatb_centros_clinicos[".geocodingEnabled"] = false;










$tdatatb_centros_clinicos[".pageSize"] = 20;

$tdatatb_centros_clinicos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_centros_clinicos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_centros_clinicos[".orderindexes"] = array();

$tdatatb_centros_clinicos[".sqlHead"] = "SELECT cclinicoID,  	tipo,  	nome,  	endereco,  	bairro,  	cidade,  	observacoes";
$tdatatb_centros_clinicos[".sqlFrom"] = "FROM tb_centros_clinicos";
$tdatatb_centros_clinicos[".sqlWhereExpr"] = "";
$tdatatb_centros_clinicos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_centros_clinicos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_centros_clinicos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_centros_clinicos[".highlightSearchResults"] = true;

$tableKeystb_centros_clinicos = array();
$tableKeystb_centros_clinicos[] = "cclinicoID";
$tdatatb_centros_clinicos[".Keys"] = $tableKeystb_centros_clinicos;


$tdatatb_centros_clinicos[".hideMobileList"] = array();




//	cclinicoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "cclinicoID";
	$fdata["GoodName"] = "cclinicoID";
	$fdata["ownerTable"] = "tb_centros_clinicos";
	$fdata["Label"] = GetFieldLabel("tb_centros_clinicos","cclinicoID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "cclinicoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cclinicoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_centros_clinicos["cclinicoID"] = $fdata;
		$tdatatb_centros_clinicos[".searchableFields"][] = "cclinicoID";
//	tipo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "tipo";
	$fdata["GoodName"] = "tipo";
	$fdata["ownerTable"] = "tb_centros_clinicos";
	$fdata["Label"] = GetFieldLabel("tb_centros_clinicos","tipo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "tipo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_centros_clinicos["tipo"] = $fdata;
		$tdatatb_centros_clinicos[".searchableFields"][] = "tipo";
//	nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nome";
	$fdata["GoodName"] = "nome";
	$fdata["ownerTable"] = "tb_centros_clinicos";
	$fdata["Label"] = GetFieldLabel("tb_centros_clinicos","nome");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nome";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nome";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_centros_clinicos["nome"] = $fdata;
		$tdatatb_centros_clinicos[".searchableFields"][] = "nome";
//	endereco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "endereco";
	$fdata["GoodName"] = "endereco";
	$fdata["ownerTable"] = "tb_centros_clinicos";
	$fdata["Label"] = GetFieldLabel("tb_centros_clinicos","endereco");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "endereco";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "endereco";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_centros_clinicos["endereco"] = $fdata;
		$tdatatb_centros_clinicos[".searchableFields"][] = "endereco";
//	bairro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "bairro";
	$fdata["GoodName"] = "bairro";
	$fdata["ownerTable"] = "tb_centros_clinicos";
	$fdata["Label"] = GetFieldLabel("tb_centros_clinicos","bairro");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bairro";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bairro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_centros_clinicos["bairro"] = $fdata;
		$tdatatb_centros_clinicos[".searchableFields"][] = "bairro";
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "tb_centros_clinicos";
	$fdata["Label"] = GetFieldLabel("tb_centros_clinicos","cidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_centros_clinicos["cidade"] = $fdata;
		$tdatatb_centros_clinicos[".searchableFields"][] = "cidade";
//	observacoes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "observacoes";
	$fdata["GoodName"] = "observacoes";
	$fdata["ownerTable"] = "tb_centros_clinicos";
	$fdata["Label"] = GetFieldLabel("tb_centros_clinicos","observacoes");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "observacoes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observacoes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_centros_clinicos["observacoes"] = $fdata;
		$tdatatb_centros_clinicos[".searchableFields"][] = "observacoes";


$tables_data["tb_centros_clinicos"]=&$tdatatb_centros_clinicos;
$field_labels["tb_centros_clinicos"] = &$fieldLabelstb_centros_clinicos;
$fieldToolTips["tb_centros_clinicos"] = &$fieldToolTipstb_centros_clinicos;
$placeHolders["tb_centros_clinicos"] = &$placeHolderstb_centros_clinicos;
$page_titles["tb_centros_clinicos"] = &$pageTitlestb_centros_clinicos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_centros_clinicos"] = array();
//	tb_cclinico_contatos
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_cclinico_contatos";
		$detailsParam["dOriginalTable"] = "tb_cclinico_contatos";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_cclinico_contatos";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_cclinico_contatos");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_centros_clinicos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_centros_clinicos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_centros_clinicos"][$dIndex]["masterKeys"][]="cclinicoID";

				$detailsTablesData["tb_centros_clinicos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_centros_clinicos"][$dIndex]["detailKeys"][]="ccclinicoID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_centros_clinicos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_centros_clinicos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "cclinicoID,  	tipo,  	nome,  	endereco,  	bairro,  	cidade,  	observacoes";
$proto0["m_strFrom"] = "FROM tb_centros_clinicos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "cclinicoID",
	"m_strTable" => "tb_centros_clinicos",
	"m_srcTableName" => "tb_centros_clinicos"
));

$proto6["m_sql"] = "cclinicoID";
$proto6["m_srcTableName"] = "tb_centros_clinicos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo",
	"m_strTable" => "tb_centros_clinicos",
	"m_srcTableName" => "tb_centros_clinicos"
));

$proto8["m_sql"] = "tipo";
$proto8["m_srcTableName"] = "tb_centros_clinicos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "tb_centros_clinicos",
	"m_srcTableName" => "tb_centros_clinicos"
));

$proto10["m_sql"] = "nome";
$proto10["m_srcTableName"] = "tb_centros_clinicos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "endereco",
	"m_strTable" => "tb_centros_clinicos",
	"m_srcTableName" => "tb_centros_clinicos"
));

$proto12["m_sql"] = "endereco";
$proto12["m_srcTableName"] = "tb_centros_clinicos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "bairro",
	"m_strTable" => "tb_centros_clinicos",
	"m_srcTableName" => "tb_centros_clinicos"
));

$proto14["m_sql"] = "bairro";
$proto14["m_srcTableName"] = "tb_centros_clinicos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "tb_centros_clinicos",
	"m_srcTableName" => "tb_centros_clinicos"
));

$proto16["m_sql"] = "cidade";
$proto16["m_srcTableName"] = "tb_centros_clinicos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "observacoes",
	"m_strTable" => "tb_centros_clinicos",
	"m_srcTableName" => "tb_centros_clinicos"
));

$proto18["m_sql"] = "observacoes";
$proto18["m_srcTableName"] = "tb_centros_clinicos";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "tb_centros_clinicos";
$proto21["m_srcTableName"] = "tb_centros_clinicos";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "cclinicoID";
$proto21["m_columns"][] = "tipo";
$proto21["m_columns"][] = "nome";
$proto21["m_columns"][] = "endereco";
$proto21["m_columns"][] = "bairro";
$proto21["m_columns"][] = "cidade";
$proto21["m_columns"][] = "observacoes";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "tb_centros_clinicos";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "tb_centros_clinicos";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_centros_clinicos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_centros_clinicos = createSqlQuery_tb_centros_clinicos();


	
		;

							

$tdatatb_centros_clinicos[".sqlquery"] = $queryData_tb_centros_clinicos;

$tableEvents["tb_centros_clinicos"] = new eventsBase;
$tdatatb_centros_clinicos[".hasEvents"] = false;

?>